# xoxys.unifi
  
[![Build Status](https://drone.rknet.org/api/badges/ansible/xoxys.unifi/status.svg)](https://drone.rknet.org/ansible/xoxys.unifi)


Role to setup unifi

## Table of content

* [Default Variables](#default-variables)
  * [unifi_base_dir](#unifi_base_dir)
  * [unifi_group](#unifi_group)
  * [unifi_openjdk_version](#unifi_openjdk_version)
  * [unifi_restore_after_upgrade](#unifi_restore_after_upgrade)
  * [unifi_tls_cert_file](#unifi_tls_cert_file)
  * [unifi_tls_cert_source](#unifi_tls_cert_source)
  * [unifi_tls_certs_dir](#unifi_tls_certs_dir)
  * [unifi_tls_enabled](#unifi_tls_enabled)
  * [unifi_tls_key_dir](#unifi_tls_key_dir)
  * [unifi_tls_key_file](#unifi_tls_key_file)
  * [unifi_tls_key_source](#unifi_tls_key_source)
  * [unifi_tls_pkcs12_passphrase](#unifi_tls_pkcs12_passphrase)
  * [unifi_tmp_dir](#unifi_tmp_dir)
  * [unifi_user](#unifi_user)
  * [unifi_version](#unifi_version)
* [Dependencies](#dependencies)
* [License](#license)
* [Author](#author)

---

## Default Variables

### unifi_base_dir

#### Default value

```YAML
unifi_base_dir: /opt/unifi
```

### unifi_group

#### Default value

```YAML
unifi_group: ubnt
```

### unifi_openjdk_version

#### Default value

```YAML
unifi_openjdk_version: 1.8.0
```

### unifi_restore_after_upgrade

#### Default value

```YAML
unifi_restore_after_upgrade: false
```

### unifi_tls_cert_file

#### Default value

```YAML
unifi_tls_cert_file: '{{ unifi_tls_certs_dir }}/mycert.pem'
```

### unifi_tls_cert_source

#### Default value

```YAML
unifi_tls_cert_source: mycert.pem
```

### unifi_tls_certs_dir

#### Default value

```YAML
unifi_tls_certs_dir: '{{ unifi_base_dir }}/tls/certs'
```

### unifi_tls_enabled

#### Default value

```YAML
unifi_tls_enabled: false
```

### unifi_tls_key_dir

#### Default value

```YAML
unifi_tls_key_dir: '{{ unifi_base_dir }}/tls/private'
```

### unifi_tls_key_file

#### Default value

```YAML
unifi_tls_key_file: '{{ unifi_tls_key_dir }}/mykey.pem'
```

### unifi_tls_key_source

#### Default value

```YAML
unifi_tls_key_source: mykey.pem
```

### unifi_tls_pkcs12_passphrase

#### Default value

```YAML
unifi_tls_pkcs12_passphrase: temppass
```

### unifi_tmp_dir

#### Default value

```YAML
unifi_tmp_dir: '{{ unifi_base_dir }}/tmp'
```

### unifi_user

#### Default value

```YAML
unifi_user: ubnt
```

### unifi_version

#### Default value

```YAML
unifi_version: 5.10.25
```

## Dependencies

None.

## License

MIT

## Author

[xoxys](https://gitea.rknet.org/xoxys)
